* * *

Author Topic: Linux-Lazarus-Indy  (Read 5855 times)

Remy Lebeau

  • Sr. Member
  • ****
  • Posts: 477
    • Lebeau Software
Re: Linux-Lazarus-Indy
« Reply #30 on: July 23, 2018, 11:16:22 pm »
Quote
- set the IdGlobal.GIdDefaultTextEncoding variable to encUTF8 instead of its default value of encASCII.
Added this on app main, it did not work.

I gave you several different options to try.  Did you try them all?

Passing IndyTextEncoding_UTF8 as **BOTH** the AByteEncoding **AND** ASrcEncoding when calling ToBytes() and TIdIOHandler.WriteLn()?

Passing IndyTextEncoding_UTF8 as **BOTH** AByteEncoding **AND** ADestEncoding when calling BytesToString() and TIdIOHandler.ReadLn()?

Assigning IndyTextEncoding_UTF8 to **BOTH** TIdIOHandler.DefStringEncoding **AND** TIdIOHandler.DefAnsiEncoding?

I don't know what else to tell you to try.  And I can't help further since I don't have Linux or FreePascal/Lazzarus to debug with myself.

Have noticed the existence of a number of DEBUG_STRING_MISMATCH on IdGlobal.pas, but would expect them to be unrelated.

Yes, they are unrelated to this issue.
Remy Lebeau
Lebeau Software - Owner, Developer
Internet Direct (Indy) - Admin, Developer (Support forum)

orionyx

  • New member
  • *
  • Posts: 8
Re: Linux-Lazarus-Indy
« Reply #31 on: August 05, 2018, 06:55:42 pm »
i've been battling since june to get lazarus working reliably on ubuntu 16.04 then 18.04.
years ago, i used borland builder 6 to create some beautiful software, and i thought that lazarus was an approximation to builder. seems i am wrong.
first, the desktop doesn't seem to work very well. forms and files disappear and reappear somewhat randomly - annoying but manageable. i have tried all kinds of things to stop this happening - nothing works.
today i updated my software, and the update process removed lazarus, no telling why. so i thought i would reinstall it.
this is what happens:
*****
lionel@lionel-TECRA-R940:~/Downloads$ gdebi fpc_3.0.4-3_amd64.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
This package is uninstallable
A later version is already installed
lionel@lionel-TECRA-R940:~/Downloads$ gdebi fpc-src_3.0.4-2_amd64.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading state information... Done

Free Pascal Sources
 The Free Pascal Compiler is a Delphi and Turbo Pascal 7.0 compatible
 32/64bit Object Pascal Compiler. It comes with a huge run-time library.
 Shared libraries can be linked and created.
 This package contains the sources for the compiler, the rtl, fcl and packages.
Need to be root to install packages
lionel@lionel-TECRA-R940:~/Downloads$ sudo gdebi fpc-src_3.0.4-2_amd64.deb
[sudo] password for lionel:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading state information... Done

Free Pascal Sources
 The Free Pascal Compiler is a Delphi and Turbo Pascal 7.0 compatible
 32/64bit Object Pascal Compiler. It comes with a huge run-time library.
 Shared libraries can be linked and created.
 This package contains the sources for the compiler, the rtl, fcl and packages.
Do you want to install the software package? [y/N]:y
Selecting previously unselected package fpc-src.
dpkg: considering removing fpc-source-3.0.4 in favour of fpc-src ...
dpkg: yes, will remove fpc-source-3.0.4 in favour of fpc-src
(Reading database ... 313100 files and directories currently installed.)
Preparing to unpack fpc-src_3.0.4-2_amd64.deb ...
De-configuring fp-utils-3.0.4 (3.0.4+dfsg-18ubuntu1), to allow removal of fpc-source-3.0.4 (3.0.4+dfsg-18ubuntu1) ...
Unpacking fpc-src (3.0.4) ...
Setting up fpc-src (3.0.4) ...
dpkg: dependency problems prevent configuration of fp-utils-3.0.4:
 fp-utils-3.0.4 depends on fpc-source-3.0.4; however:
  Package fpc-source-3.0.4 is not installed.

dpkg: error processing package fp-utils-3.0.4 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 fp-utils-3.0.4
***
as you can see, there is an unsatisfied dependency, fpc-source-3.0.4. but as you can see, the installation process removed this in favor of fpc-src.
it's annoying enough to have to install 3 packages when you want 1. it's even more annoying when the installation trips over itself.
lazarus would be a beautiful tool for ubuntu if it could be installed by installing a single package, and if then it simply worked.
i am trying to get this working because i want my software shop to be able to do 80% of what visual basic does, without unnecessary error and frustration. will i ever get there?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 994
Re: Linux-Lazarus-Indy
« Reply #32 on: August 05, 2018, 07:02:34 pm »
If nothing else works, you can always try fpcupdeluxe ... ;-)

Remy Lebeau

  • Sr. Member
  • ****
  • Posts: 477
    • Lebeau Software
Re: Linux-Lazarus-Indy
« Reply #33 on: August 07, 2018, 09:16:37 pm »
i've been battling since june to get lazarus working reliably on ubuntu 16.04 then 18.04.

This has nothing to do with getting Indy working correctly on Linux - ie, the subject of this discussion thread.  Please don't hijack a discussion with unrelated issues.  You should have posted a new discussion thread instead.
Remy Lebeau
Lebeau Software - Owner, Developer
Internet Direct (Indy) - Admin, Developer (Support forum)

snorkel

  • Hero Member
  • *****
  • Posts: 776
Re: Linux-Lazarus-Indy
« Reply #34 on: August 07, 2018, 09:56:42 pm »
"i've been battling since june to get lazarus working reliably on ubuntu 16.04 then 18.04."

Remy is correct, start your own thread on this and we can help you.(Believe me Lazarus works great on Ubuntu, just don't use the versions in the repository, use the .debs).
***Snorkel***
If I forget, I always use the latest stable 32bit version of Lazarus and FPC. At the time of this signature that is Laz 1.8 and FPC 3.0.4
OS: Windows 10 64 bit

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus